Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.testing
Class IdBloomFilterReplicationTest

    java.lang.Object
      rice.p2p.util.testing.IdBloomFilterReplicationTest

    public class IdBloomFilterReplicationTest

extends java.lang.Object

Field Summary
`static Id[]` | `EXTRA`
`static IdFactory` | `factory`
`static GCIdFactory` | `gFactory`
`static int` | `NUM`
`static int` | `NUM_RUNS`
`static IdFactory` | `pFactory`
`static RandomSource` | `random`
`static IdSet` | `remote`
`static Id[]` | `SHARED`

Constructor Summary
`IdBloomFilterReplicationTest()`

Method Summary
`static void` | `buildShared()`
`static void` | `doConfig()`
`static double` | `doRun(int has, int extra)`
`static void` | `main(java.lang.String[] args)`
`static int` | `run(int has, int extra)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM

    public static int NUM

### NUM_RUNS

    public static int NUM_RUNS

### random

    public static RandomSource random

### pFactory

    public static IdFactory pFactory

### factory

    public static IdFactory factory

### gFactory

    public static GCIdFactory gFactory

### SHARED

    public static Id[] SHARED

### EXTRA

    public static Id[] EXTRA

### remote

    public static IdSet remote

Constructor Detail

### IdBloomFilterReplicationTest

    public IdBloomFilterReplicationTest()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildShared

    public static void buildShared()

### doConfig

    public static void doConfig()

### doRun

    public static double doRun(int has,
                               int extra)

### run

    public static int run(int has,
                          int extra)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.